Bug 15139 - Show non-public item note in overdues report
Summary: Show non-public item note in overdues report
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on: 21463 21464
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-05 12:38 UTC by Katrin Fischer
Modified: 2019-10-14 19:57 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 15139: Add non-public item notes to overdue report (4.06 KB, patch)
2018-08-12 16:18 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 15139: Add non-public item notes to overdue report (4.14 KB, patch)
2018-08-12 16:22 UTC, Katrin Fischer
Details | Diff | Splinter Review
screenshot of results (118.35 KB, image/jpeg)
2018-09-15 18:02 UTC, Spencer
Details
Bug 15139: Add non-public item notes to overdue report (4.20 KB, patch)
2018-09-16 01:02 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 15139: Add non-public item notes to overdue report (4.26 KB, patch)
2018-09-17 15:09 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 15139: Add non-public item notes to overdue report (4.24 KB, patch)
2018-10-01 20:34 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-11-05 12:38:27 UTC
The nonpublic note would be useful in the overdues report as well.
Comment 1 Katrin Fischer 2016-08-23 13:02:54 UTC
Another library is asking for this - almost missed I had already filed a report.
Comment 2 Katrin Fischer 2018-04-10 12:59:05 UTC
Still valid!
Comment 3 Katrin Fischer 2018-08-12 16:18:39 UTC
Created attachment 77730 [details] [review]
Bug 15139: Add non-public item notes to overdue report

Sometimes libraries want to see internal notes on the overdue
reports page, this patch adds the notes.

Additional fixes:
- Library column was always empty, now library displays
- Replacement price was not formatted according to CurrencyFormat

To test:
- Make sure you have some overdue issues in your system
- Circulation > Overdues report
- Make sure everything displays as it should
  - Verify internal item note shows
  - Verify price is correctly formatted (syspref CurrencyFormat)
  - Library shows
Comment 4 Katrin Fischer 2018-08-12 16:22:02 UTC
Created attachment 77731 [details] [review]
Bug 15139: Add non-public item notes to overdue report

Sometimes libraries want to see internal notes on the overdue
reports page, this patch adds the notes.

Additional fixes:
- Library column was always empty, now library displays
- Replacement price was not formatted according to CurrencyFormat

To test:
- Make sure you have some overdue issues in your system
- Circulation > Overdues report
- Make sure everything displays as it should
  - Verify internal item note shows
  - Verify price is correctly formatted (syspref CurrencyFormat)
  - Library shows
- Download list of overdues
  - Verify the new column displays
Comment 5 Spencer 2018-09-15 18:02:19 UTC
Created attachment 78871 [details]
screenshot of results

The report exports correctly, but the columns do not line up correctly in Koha's display. (http://staff-spicypeanut.sb1.sandboxes.bywatersolutions.com/cgi-bin/koha/circ/overdue.pl) See attached screenshot for example.
Comment 6 Spencer 2018-09-15 18:05:24 UTC
Also, this shows up in the header-  

<<<<<<< HEAD ======= >>>>>>> Bug 15139: Add non-public item notes to overdue report
Comment 7 Katrin Fischer 2018-09-16 01:02:48 UTC
Created attachment 78922 [details] [review]
Bug 15139: Add non-public item notes to overdue report

Sometimes libraries want to see internal notes on the overdue
reports page, this patch adds the notes.

Additional fixes:
- Library column was always empty, now library displays
- Replacement price was not formatted according to CurrencyFormat

To test:
- Make sure you have some overdue issues in your system
- Circulation > Overdues report
- Make sure everything displays as it should
  - Verify internal item note shows
  - Verify price is correctly formatted (syspref CurrencyFormat)
  - Library shows
- Download list of overdues
  - Verify the new column displays
Comment 8 Katrin Fischer 2018-09-16 01:06:56 UTC
Rebased and back to sign-off - thx for testing Spencer!

It looks like the new sandboxes do not clearly report when a patch doesn't apply. In a case like this, you don't need to test further when there are errors in the git log. It would be nice if that would be clearer for the sandbox user.
Comment 9 ByWater Sandboxes 2018-09-17 15:09:23 UTC
Created attachment 79034 [details] [review]
Bug 15139: Add non-public item notes to overdue report

Sometimes libraries want to see internal notes on the overdue
reports page, this patch adds the notes.

Additional fixes:
- Library column was always empty, now library displays
- Replacement price was not formatted according to CurrencyFormat

To test:
- Make sure you have some overdue issues in your system
- Circulation > Overdues report
- Make sure everything displays as it should
  - Verify internal item note shows
  - Verify price is correctly formatted (syspref CurrencyFormat)
  - Library shows
- Download list of overdues
  - Verify the new column displays

Signed-off-by: Spencer <ssmith3@mckinneytexas.org>
Comment 10 M. Tompsett 2018-09-19 15:09:03 UTC
Who do I bug about failed marking as signed-off for the ByWater Sandboxes?
Comment 11 Katrin Fischer 2018-09-21 05:55:12 UTC
Hm, Kyle? ;)
Comment 12 Katrin Fischer 2018-09-21 05:55:25 UTC
And thank you, Spencer!
Comment 13 Jonathan Druart 2018-10-01 16:45:13 UTC
- Library column was always empty, now library displays

=> Moved to its own bug report, see bug 21463
Comment 14 Jonathan Druart 2018-10-01 20:34:16 UTC
Created attachment 79784 [details] [review]
Bug 15139: Add non-public item notes to overdue report

Sometimes libraries want to see internal notes on the overdue
reports page, this patch adds the notes.

Additional fixes:
- Library column was always empty, now library displays
- Replacement price was not formatted according to CurrencyFormat

To test:
- Make sure you have some overdue issues in your system
- Circulation > Overdues report
- Make sure everything displays as it should
  - Verify internal item note shows
  - Verify price is correctly formatted (syspref CurrencyFormat)
  - Library shows
- Download list of overdues
  - Verify the new column displays

Signed-off-by: Spencer <ssmith3@mckinneytexas.org>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Amended patch: remove the branchcode line, added on its own bug report,
see bug 21463
Comment 15 Nick Clemens 2018-10-15 16:56:50 UTC
Awesome work all!

Pushed to master for 18.11
Comment 16 Martin Renvoize 2018-10-17 10:58:30 UTC
Enhancement, will not be backported to 18.05.x series.